Command reference
deployments brain-upload
Controlled Brain content uploads
| Command | Summary |
|---|---|
deployments brain-upload create | Issue a Brain upload ticket |
deployments brain-upload show | Show a Brain upload ticket |
deployments brain-upload content | Upload exact Brain ticket content |
deployments brain-upload complete | Complete a ticket whose content was stored through its direct upload |
deployments brain-upload create
Issue a Brain upload ticket.
deployments brain-upload create <brain> <source> --expected-byte-size <number> --expected-content-hash <expected-content-hash> --media-type <media-type>- Calls
POST /v1/brains/{brainId}/sources/{sourceId}/uploads(SDKcreateBrainUploadTicket). - Needs an organization:
--orgor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<brain> | positional | yes | Brain ID | |
<source> | positional | yes | Brain source ID | |
--expected-byte-size | string (number) | yes | Exact upload byte size | |
--expected-content-hash | string | yes | sha256: content hash | |
--media-type | string | yes | Content media type |
Also accepts the global flags.
deployments brain-upload show
Show a Brain upload ticket.
deployments brain-upload show <brain> <source> <ticket>- Calls
GET /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}(SDKgetBrainUploadTicket). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<brain> | positional | yes | Brain ID | |
<source> | positional | yes | Brain source ID | |
<ticket> | positional | yes | Brain upload ticket ID |
Also accepts the global flags.
deployments brain-upload content
Upload exact Brain ticket content.
deployments brain-upload content <brain> <source> <ticket> --file <file> --content-type <content-type>- Calls
PUT /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}/content(SDKuploadBrainContent). - Needs an organization:
--orgor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<brain> | positional | yes | Brain ID | |
<source> | positional | yes | Brain source ID | |
<ticket> | positional | yes | Brain upload ticket ID | |
--file | string | yes | Upload file | |
--content-type | string | yes | Exact content media type |
Also accepts the global flags.
deployments brain-upload complete
Complete a ticket whose content was stored through its direct upload.
deployments brain-upload complete <brain> <source> <ticket>- Calls
POST /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}/complete(SDKcompleteBrainUpload). - Needs an organization:
--orgor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<brain> | positional | yes | Brain ID | |
<source> | positional | yes | Brain source ID | |
<ticket> | positional | yes | Brain upload ticket ID |
Also accepts the global flags.